# Assignment 2 指南

##  `******注意，实验结束请立即删除云主机，节省费用******`

##  `******注意2，实验未结束且短期内不会继续实验，也请删除云主机。下次实验时重新创建******`

## 实验内容

- 安装Docker并测试：`实验步骤 一）`
- 了解并学习简单的Docker指令：`实验步骤 二）`
- 利用Docker部署一个简单的静态网页App ：`实验步骤 三）`
- 使用Dockerfile完成复杂应用的搭建：`实验步骤 四）`

## 实验要求（仔细看）

- #### 完成所有步骤，并在实验报告（[模板下载](file/assignment1/学号-实验一.docx)）中完成穿插在本指南中的`作业1～作业4`（只需要截图）。实验报告转成`“学号-实验二.pdf”`，并上传至http://113.31.104.68:3389/index.htm

- #### 实验报告上传deadline：`10月xx日`

## 使用产品

云主机uhost, 私有网络vpc，基础网络unet, Docker相关技术

## 需要权限

云主机uhost, 基础网络unet

## 实验步骤

### 零）前期工作

#### 请根据Assignment1的要求[创建云主机](Assignment1.md)，并使用ssh远程登录（可以直接使用root用户进行后续操作）

### 一）安装Docker并测试

#### 1. Docker是什么？

> 一个开放源代码项目，通过在Linux上提供**OS级虚拟化**的附加抽象层和自动化层，使**容器**内软件应用程序的部署自动化。

##### 简单来说，Docker是一种工具，它使开发人员，系统管理员等可以轻松地在沙盒（称为*容器*）中部署其应用程序，以在主机操作系统（即Linux）上运行。Docker的主要好处是，它允许用户将**具有所有依赖关系的应用程序打包到**用于软件开发**的标准化单元**中。与虚拟机不同，容器不具有高开销，因此可以更有效地利用基础系统和资源。

#### 2. 在Linux上安装Docker环境

> 直到几个版本之前，在OSX和Windows上运行Docker还是很麻烦的。但是，最近，Docker已投入大量资金来改善其用户在这些OS上的入职体验，因此，现在运行Docker是一个轻而易举的事。

##### 这里只介绍如何在Linux上安装和运行Docker, 如果同学们想要在其他系统上尝试使用Docker，可以参考Docker官网给出的教程（如何在[Mac](https://docs.docker.com/docker-for-mac/install)、[Linux](https://docs.docker.com/install/linux/docker-ce/ubuntu)或[Windows]([Windows](https://docs.docker.com/docker-for-windows/install))上使用Docker）





